Package org.eclipse.rdf4j.query.impl

## Class SimpleDataset

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.SimpleDataset

- All Implemented Interfaces:
    `Serializable`, `Dataset`
  Direct Known Subclasses:
    `DatasetImpl`

      public class SimpleDataset
      extends Object
      implements Dataset, Serializable

  A simple implementation of the `Dataset` interface.
  Author:
    Arjohn Kampman, James Leigh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleDataset()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addDefaultGraph​(IRI graphURI)` | Adds a graph URI to the set of default graph URIs.
    `void` | `addDefaultRemoveGraph​(IRI graphURI)` | Adds a graph URI to the set of default remove graph URIs.
    `void` | `addNamedGraph​(IRI graphURI)` | Adds a graph URI to the set of named graph URIs.
    `void` | `clear()` | Removes all graph URIs (both default and named) from this dataset.
    `Set<IRI>` | `getDefaultGraphs()` | Gets the default graph URIs of this dataset.
    `IRI` | `getDefaultInsertGraph()` | Gets the default insert graph URI of this dataset.
    `Set<IRI>` | `getDefaultRemoveGraphs()` | Gets the default remove graph URIs of this dataset.
    `Set<IRI>` | `getNamedGraphs()` | Gets the (unmodifiable) set of named graph URIs.
    `boolean` | `removeDefaultGraph​(IRI graphURI)` | Removes a graph URI from the set of default graph URIs.
    `boolean` | `removeDefaultRemoveGraph​(IRI graphURI)` | Removes a graph URI from the set of default remove graph URIs.
    `boolean` | `removeNamedGraph​(IRI graphURI)` | Removes a graph URI from the set of named graph URIs.
    `void` | `setDefaultInsertGraph​(IRI defaultInsertGraph)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleDataset

          public SimpleDataset()

  - ### Method Detail

    - #### getDefaultRemoveGraphs

          public Set<IRI> getDefaultRemoveGraphs()

      Description copied from interface: `Dataset`
      Gets the default remove graph URIs of this dataset. An empty set indicates the the store's default behaviour should be used, if not otherwise indicated in the operation.
      Specified by:
        `getDefaultRemoveGraphs` in interface `Dataset`

    - #### addDefaultRemoveGraph

          public void addDefaultRemoveGraph​(IRI graphURI)

      Adds a graph URI to the set of default remove graph URIs.

    - #### removeDefaultRemoveGraph

          public boolean removeDefaultRemoveGraph​(IRI graphURI)

      Removes a graph URI from the set of default remove graph URIs.
      Returns:
        true if the URI was removed from the set, false if the set did not contain the URI.

    - #### getDefaultInsertGraph

          public IRI getDefaultInsertGraph()

      Description copied from interface: `Dataset`
      Gets the default insert graph URI of this dataset. An null value indicates that the store's default behaviour should be used, if not otherwise indicated in the operation.
      Specified by:
        `getDefaultInsertGraph` in interface `Dataset`
      Returns:
        Returns the default insert graph.

    - #### setDefaultInsertGraph

          public void setDefaultInsertGraph​(IRI defaultInsertGraph)

      Parameters:
        `defaultInsertGraph` - The default insert graph to used.

    - #### getDefaultGraphs

          public Set<IRI> getDefaultGraphs()

      Description copied from interface: `Dataset`
      Gets the default graph URIs of this dataset. An empty default graph set and a non-empty named graph set indicates that the default graph is an empty graph. However, if both the default graph set and the named graph set are empty, that indicates that the store's default behaviour should be used.
      Specified by:
        `getDefaultGraphs` in interface `Dataset`

    - #### addDefaultGraph

          public void addDefaultGraph​(IRI graphURI)

      Adds a graph URI to the set of default graph URIs.

    - #### removeDefaultGraph

          public boolean removeDefaultGraph​(IRI graphURI)

      Removes a graph URI from the set of default graph URIs.
      Returns:
        true if the URI was removed from the set, false if the set did not contain the URI.

    - #### getNamedGraphs

          public Set<IRI> getNamedGraphs()

      Gets the (unmodifiable) set of named graph URIs.
      Specified by:
        `getNamedGraphs` in interface `Dataset`

    - #### addNamedGraph

          public void addNamedGraph​(IRI graphURI)

      Adds a graph URI to the set of named graph URIs.

    - #### removeNamedGraph

          public boolean removeNamedGraph​(IRI graphURI)

      Removes a graph URI from the set of named graph URIs.
      Returns:
        true if the URI was removed from the set, false if the set did not contain the URI.

    - #### clear

          public void clear()

      Removes all graph URIs (both default and named) from this dataset.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`